


<h1><a name="instalacao_do_ldap" id="instalacao_do_ldap">Instalação do LDAP</a></h1>
<div class="level1">
<ul>
<li class="level1"><div class="li"> Para instalar o servidor <acronym title="Lightweight Directory Access Protocol">LDAP</acronym>, é preciso instalar os seguintes pacotes: “slapd”, “ldap-utils”, and “db4.2-util”:</div>
</li>
</ul>
<pre class="code">sudo apt-get install slapd ldap-utils db4.2-util</pre>
<ul>
<li class="level1"><div class="li"> A única configuração necessária agora é substituir o nome distinto padrão para “dc=pet-server,dc=inf,dc=ufrgs,dc=br” no arquivo ”/etc/ldap/slapd.conf”</div>
</li>
</ul>
<ul>
<li class="level1"><div class="li"> Após, precisamos adicionar os usuários do ”/etc/passwd” na base de dados. Para isto, utilizamos “migrationtools”. “migrationtools” são um conjunto de scripts em perl que recebem como entrada os arquivos de usuários do Linux (“passwd”, “shadow” e “group”) e produz um arquivo ldif (formato de arquivo para inserir dados na base de dados) com os dados dos usuários.</div>
</li>
</ul>
<pre class="code">sudo apt-get install migrationtools</pre>
<ul>
<li class="level1"><div class="li"> Edite o ”/etc/migrationtools/migrate_common.ph” como demonstrado abaixo:</div>
</li>
</ul>
<pre class="code"># Default DNS domain
$DEFAULT_MAIL_DOMAIN = &quot;pet-server.inf.ufrgs.br&quot;;</pre>
<pre class="code"># Default base
$DEFAULT_BASE = &quot;dc=pet-server,dc=inf,dc=ufrgs,dc=br&quot;;</pre>
<pre class="code"># turn this on to support more general object clases
# such as person.
$EXTENDED_SCHEMA = 1;</pre>
<pre class="code"># Uncomment these to avoid Debian managed system users and groups
$IGNORE_UID_BELOW = 1000;
$IGNORE_GID_BELOW = 1000;</pre>
<pre class="code"># And here&#039;s the opposite for completeness
$IGNORE_UID_ABOVE = 9999;
$IGNORE_GID_ABOVE = 9999;</pre>
<pre class="code"># Default Kerberos realm
#if ($EXTENDED_SCHEMA) {
# $DEFAULT_REALM = $DEFAULT_MAIL_DOMAIN;
# $DEFAULT_REALM =~ tr/a-z/A-Z/;
#</pre>
<ul>
<li class="level1"><div class="li"> Agora, podemos executar os scripts:</div>
</li>
</ul>
<pre class="code">$ cd /usr/share/migrationtools
$ sudo ./migrate_group.pl /etc/group /tmp/group.ldif
$ sudo ./migrate_passwd.pl /etc/passwd |grep -v &#039;objectClass: account&#039; &amp;gt; /tmp/passwd.ldif</pre>
<ul>
<li class="level1"><div class="li"> Antes de inserir estes ldif gerados, é preciso inserir um outro ldif. Crie um arquivo chamado ”/tmp/base.ldif”:</div>
</li>
</ul>
<pre class="code">dn: ou=People,dc=pet-server,dc=inf,dc=ufrgs,dc=br
ou: People
objectClass: top
objectClass: organizationalUnit</pre>
<pre class="code">dn: ou=Group,dc=pet-server,dc=inf,dc=ufrgs,dc=br
ou: Group
objectClass: top
objectClass: organizationalUnit</pre>
<ul>
<li class="level1"><div class="li"> Agora, inserimos os ldif na base de dados ldap:</div>
</li>
</ul>
<pre class="code">$ ldapadd -D &#039;cn=admin, dc=pet-server,dc=inf,dc=ufrgs,dc=br&#039; -c -x -W -f /tmp/base.ldif
$ ldapadd -D &#039;cn=admin, dc=pet-server,dc=inf,dc=ufrgs,dc=br&#039; -c -x -W -f /tmp/group.ldif
$ ldapadd -D &#039;cn=admin, dc=pet-server,dc=inf,dc=ufrgs,dc=br&#039; -c -x -W -f /tmp/passwd.ldif</pre>

</div>
